Name:          z3
Version:       4.12.2
Release:       1mamba
Summary:       A theorem prover from Microsoft Research
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/Z3Prover
Source:        https://github.com/Z3Prover/z3.git/z3-%{version}/z3-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Z3 is a theorem prover from Microsoft Research.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
#python contrib/cmake/bootstrap.py create

%build
#:<< _EOF
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/z3

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libz3.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/z3*.h
%dir %{_libdir}/cmake/z3
%{_libdir}/libz3.so
%{_libdir}/cmake/z3/*.cmake
%{_libdir}/pkgconfig/z3.pc
%doc README-CMake.md README.md

%changelog
* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Sun Jan 22 2023 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sun Jan 15 2023 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.2-1mamba
- update to 4.11.2

* Sun Jul 31 2022 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Sun Jul 24 2022 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Fri May 06 2022 Automatic Build System <autodist@mambasoft.it> 4.8.17-1mamba
- automatic version update by autodist

* Tue Apr 26 2022 Automatic Build System <autodist@mambasoft.it> 4.8.16-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 4.8.15-1mamba
- automatic version update by autodist

* Sat Dec 25 2021 Automatic Build System <autodist@mambasoft.it> 4.8.14-1mamba
- automatic version update by autodist

* Fri Nov 19 2021 Automatic Build System <autodist@mambasoft.it> 4.8.13-1mamba
- automatic version update by autodist

* Thu Jul 15 2021 Automatic Build System <autodist@mambasoft.it> 4.8.12-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 4.8.11-1mamba
- automatic version update by autodist

* Sat Jan 23 2021 Automatic Build System <autodist@mambasoft.it> 4.8.10-1mamba
- automatic version update by autodist

* Mon Sep 14 2020 Automatic Build System <autodist@mambasoft.it> 4.8.9-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 4.8.8-1mamba
- automatic version update by autodist

* Fri Nov 22 2019 Automatic Build System <autodist@mambasoft.it> 4.8.7-1mamba
- automatic version update by autodist

* Mon Sep 30 2019 Automatic Build System <autodist@mambasoft.it> 4.8.6-1mamba
- automatic version update by autodist

* Thu Jun 06 2019 Automatic Build System <autodist@mambasoft.it> 4.8.5-1mamba
- automatic version update by autodist

* Mon Dec 24 2018 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri Nov 23 2018 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sun Nov 11 2018 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 4.6.0-1mamba
- automatic version update by autodist

* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0.20171128git-1mamba
- update to 4.5.0.20171128git

* Tue Nov 28 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.0-1mamba
- package created using the webbuild interface
